Query task status
Query Tusheng Video task status and results based on task ID.
GET
/runwayml/v1/tasks/{task_id}Responses
200 application/json
response-200 object
Runway task query response (same shape as submit response)
properties batch_id string
Batch ID
created_at string
Creation time
id* string
Resource or task ID
prompt string
Text prompt
state* string
Custom pass-through state
401 Missing or invalid API Key application/json
response-401 object
properties error* object
1curl -X GET "https://api.digislash.com/runwayml/v1/tasks/{task_id}" \
2-H "Authorization: Bearer <API Key>"
1▼{
2"batch_id": "",
3"created_at": "2024-12-22T13:38:40.139Z",
4"id": "4665a07c-7641-4809-a133-10786201bb56",
5"prompt": "",
6"state": "pending"
7}
